// BitTestDlg.h : header file
//

#if !defined(AFX_VOXELWORLDDLG_H__EEDF12C8_2F8C_11D3_BB14_0080C81F9D2D__INCLUDED_)
#define AFX_VOXELWORLDDLG_H__EEDF12C8_2F8C_11D3_BB14_0080C81F9D2D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DIBFile.h"

/////////////////////////////////////////////////////////////////////////////
// CBitTestDlg dialog

class CBitTestDlg : public CDialog
{
friend unsigned WINAPI BitmapThreadFunc (void *param);

// Construction
public:
	CBitTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBitTestDlg)
	enum { IDD = IDD_DIALOG };
	CStatic	m_Msg;
	BOOL	m_bColor;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBitTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	DWORD m_BitmapWidth, m_BitmapHeight;
	BITMAPINFO m_bmi;
	HBITMAP m_hBitmap;
	BGR *m_pBits;

	HDRAWDIB m_hDD;

	unsigned long m_hBitmapThread;
	BOOL m_bBitmapThreadStop;

	void DrawBitmap (void);

	// Generated message map functions
	//{{AFX_MSG(CBitTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnColor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VOXELWORLDDLG_H__EEDF12C8_2F8C_11D3_BB14_0080C81F9D2D__INCLUDED_)
